<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

  
	
function linquist_colors() {
	global $linquist;
	if ($linquist->option['colors'] == 'light') {
		echo '<link rel="stylesheet" href="';	
		print bloginfo('template_directory');
		echo '/style.css" type="text/css" /> ';
		echo '<link rel="alternate stylesheet" href="';	
		print bloginfo('template_directory');
		echo '/dark.css" type="text/css" title="dark" /> ';
 	}	
	if ($linquist->option['colors'] == 'dark') {
		echo '<link rel="stylesheet" href="';	
		print bloginfo('template_directory');
		echo '/dark.css" type="text/css" /> ';
		echo '<link rel="alternate stylesheet" href="';	
		print bloginfo('template_directory');
		echo '/style.css" type="text/css" title="light" /> ';
	}	                                                                                                                      		
}



function linquist_navigation() {
	global $linquist;
	if ($linquist->option['navigation'] == 'nav') {
		echo '<div id="nav" class="navright"><ul><li class="home"><a href="';
		print get_option('home');
		echo '" title="';
		print linquist_homelabel();
		echo '">';
		print linquist_homelabel();
		echo '</a></li>';
		print wp_list_pages('title_li=&depth1=&sort_column=menu_order');
		echo '</ul></div>';
	}
	
	if ($linquist->option['navigation'] == 'nav2') {
		echo '<div id="nav2"><li class="home"><a href="';
		print get_option('home');
		echo '" title="';
		print linquist_homelabel();
		echo '">';
		print linquist_homelabel();
		echo '</a></li>';
		print wp_list_pages('title_li=&depth1=&sort_column=menu_order');
		echo '</ul></div>';
	}
		if ($linquist->option['navigation'] == 'nav3') {
		echo '<div id="nav3"><li class="home"><a href="';
		print get_option('home');
		echo '" title="';
		print linquist_homelabel();
		echo '">';
		print linquist_homelabel();
		echo '</a></li>';
		print wp_list_pages('title_li=&depth1=&sort_column=menu_order');
		echo '</ul></div>';
	}
}


function linquist_lightbox() {
	global $linquist;
	if ($linquist->option['lightbox'] == 'enable') {
		require('wp-lightboxJS/wp-lightboxJS.php');
	}
}


function linquist_switch() {
	global $linquist;
	if ($linquist->option['switch'] == 'allow') {
		echo '<div id="style"><a href="#" title="Light" onclick="setActiveStyleSheet(\'light\'); return false;"><img src="';
		print bloginfo ('template_directory');
		echo '/images/light.png"></a> <a href="#" title="Dark" onclick="setActiveStyleSheet(\'dark\'); return false;"><img src="';
		print bloginfo('template_directory');
		echo '/images/dark.png"></a> </div>';
	}
}
		
		
function linquist_js() {
	global $linquist;
	if ($linquist->option['switch'] == 'allow') {
		echo '<script type="text/javascript" src="';
		print bloginfo('template_directory');
		echo '/js/styleswitcher.js"></script>';
	}
}



function linquist_homelabel() {
	global $linquist;
	if ($linquist->option['homelabel'] == '') {
	echo 'Home';
	} else {
	print $linquist->option['homelabel'] ;
	} 
}

function linquist_info() {
	global $linquist;
	if ($linquist->option['info'] == '') {
	echo '';
	} else {
	print $linquist->option['info'] ;
	echo '<br>';
	} 
}

?>
